## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name cognitiveatlas

Name:           python-%{pypi_name}
Version:        0.1.11
Release:        %{autorelease}
Summary:        Python wrapper for the cognitive atlas RESTful API

License:        BSD-3-Clause
URL:            https://cogat-python.readthedocs.org/
Source:         %{pypi_source %{pypi_name}}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist pytest}

%global _description %{expand:
Python access to the RESTful API in the Cognitive Atlas (alpha):

 - tasks
 - concepts
 - disorders
 - contrasts
}

%description %_description


%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

# Remove spurious shebangs
find cognitiveatlas -name \*.py -exec \
    sed -r -i '/#!.*env.*python/d' '{}' \;


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l %{pypi_name}


%check
# Upstream doesn't include tests in sdist. On GitHub appropriate tags
# are missing.
%pyproject_check_import


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Fri Mar 28 2025 Sandro <devel@penguinpee.nl> - 0.1.11-2
- Uncommitted changes

* Fri Mar 28 2025 Sandro <devel@penguinpee.nl> - 0.1.11-1
- Initial package
## END: Generated by rpmautospec
